Bug 85760 - Segmentation fault
Segmentation fault
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-03-07 00:43 EST by Mark
Modified: 2013-04-02 00:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-12 08:19:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark 2003-03-07 00:43:34 EST
5-MAR-2003 22:52:19 ET Notify Customer with e-mail notification. Red Hat Tech
Philip   Technician Response

Dear Sir,

In as much as we would like to help you, I regret to inform you that help on
debugging scripts isn't covered by the basic installation support's Service
Level Agreement:


Since this was working fine in recent version of RH, I suggest addressing this
concern to our developers who can be reached at:


Be sure that you have already updated your system with the latest errata by
using 'u2pdate' or by getting the updates manually from our update site:


Feel free to write us back in case you have further concerns.

Philip Morales

  04-MAR-2003 10:36:58 ET Request Updated espinoza, jennifer   Customer Request

My appologies, I do not have this script on my laptop.



  04-MAR-2003 06:53:11 ET Problem Description espinoza, jennifer   Customer Request

I have a script which works on the three other computers I use which run
but does not work on my new 8.0 system (1.3Ghz AMD). I have run a memory test
for over an hour, which ran through over two passes through memory and reported

no problems. The systems on which it works are an old 133 Mhz with 7.1, a 600
Mhz laptop with 7.3, and my web server in Boston. I don't know the specifics on

that system. Here is the script:


#Program to resize all .jpg files in current directory and save them as a.jpg.
first argument is height, second argument is width.


use Image::Magick;
$image = Image::Magick->new;
@files=`ls *.jpg`;
foreach $file (@files){
    chomp ($file);
    open PICS, "<${file}.jpg" or die "cannot open ${file}.jpg";
    binmode PICS;
    close PICS;
    $image->Resize(width=>$width, height=>$height);
    print "${file}a.jpg\n";
    open PICS, ">${file}a.jpg" or die "cannot open ${file}a.jpg";
    close PICS;
undef @$image;

The statement which causes the error, which is "Segmentation fault" is:


I determined this by commenting out all the lines which refered to ImageMagick
and then running the program repeatedly, uncommenting one more line after each
successful run, until I got the error.



Note You need to log in before you can comment on or make changes to this bug.